using System;
using System.Collections.Generic;
using System.Linq;
namespace Kvalifikacije___2021_12_19
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] unos = Console.ReadLine().Split();
            int n = int.Parse(unos[0]);
            int k = int.Parse(unos[1]);
            List<int> karte = new List<int>();
            string[] unoskarata = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                karte.Add(int.Parse(unoskarata[i]));
            }
            if (karte.Last() == k)
            {
                Console.WriteLine(karte[0]);
            }
            else
            {
                Console.WriteLine(karte[karte.IndexOf(k) + 1]);
            }
        }
    }
}